CON

  _clkmode        = xtal1 + pll8x
  _xinfreq        = 10_000_000

VAR

  long pixels[32], stats 
  word pixaddr

OBJ

  clk   : "clkset"
  lin   : "tsl1401-db_driver"
  sio   : "FullduplexSerial"

PUB start | i

  clk.set
  lin.start
  lin.setexp_us(20)
  sio.start(31, 30, 0, 9600)
  repeat
    lin.snap
    lin.getpix(@pixels)
    stats := lin.getstats
    sio.tx(1)
    repeat i from 0 to 127
      sio.hex(byte[@pixels][i], 2)
      if ((i + 1) & $0f)
        sio.tx(" ")
      else
        sio.tx(13)
    repeat i from 0 to 3
      sio.hex(byte[@stats][i],2)
      sio.tx(" ")
      
      